
Name:       perl-Capture-Tiny
Version:    0.27
Release:    1%{?dist}.anvil
License:    CHECK(GPL+ or Artistic)
Group:      Development/Libraries
Summary:    Capture STDOUT and STDERR from Perl, XS or external programs
Source:     http://search.cpan.org/CPAN/authors/id/D/DA/DAGOLDEN/Capture-Tiny-%{version}.tar.gz
Url:        http://search.cpan.org/dist/Capture-Tiny
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch
Requires: perl(Carp)
Requires: perl(Exporter)
Requires: perl(ExtUtils::MakeMaker)
Requires: perl(File::Spec)
Requires: perl(File::Temp)
Requires: perl(IO::File)
Requires: perl(IO::Handle)
Requires: perl(lib)
Requires: perl(Scalar::Util)
Requires: perl(strict)
Requires: perl(warnings)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(lib)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)


%description
Capture::Tiny provides a simple, portable way to capture almost anything
sent to STDOUT or STDERR, regardless of whether it comes from Perl, from XS
code or from an external program. Optionally, output can be teed so that it
is captured while being passed through to the original filehandles. Yes, it
even works on Windows (usually). Stop guessing which of a dozen capturing
modules to use in any particular situation and just use this one.

Rebuilt for the Anvil! HA platform.


%prep
%setup -q -n Capture-Tiny-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor INSTALLVENDORLIB=%{perl_vendorlib} INSTALLVENDORMAN3DIR=%{_mandir}/man3
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sun Dec 28 2014 %{packager} 0.27-1
- initial Fedora packaging
- generated with cpan2dist (CPANPLUS::Dist::Fedora version 0.0.6)
